Bug 50917 - Property CookieManager.save.cookies not honored when set from test plan
Property CookieManager.save.cookies not honored when set from test plan
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: HTTP
2.5
All Linux
: P2 normal (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2011-03-11 12:36 UTC by tkasf
Modified: 2011-09-19 17:17 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tkasf 2011-03-11 12:36:31 UTC
When the property CookieManager.save.cookies=true is set in through the __setProperty function, the behaviour of the CookieManager is not as expected.
The property is read only on start of jmeter, instead of beeing able to configure the behaviour on a per test plan basis.
At least it should be documented properly, that setting the properties has no effect when done after jmeter has started.
Comment 1 Sebb 2011-03-11 18:42:15 UTC
What leads you to expect that properties set in jmeter.properties are supported at run-time?
Comment 2 tkasf 2011-03-12 09:01:14 UTC
The function to set a property at run time and the documentation that the property is evaluated by the cookie manager to change the behaviour lead me to this expectation.
Comment 3 Philippe Mouawad 2011-09-19 12:22:18 UTC
Shouldn't this issue be closed by a note in documentation about __setProperty ?

Regards
Philippe
Comment 4 Sebb 2011-09-19 17:17:19 UTC
URL: http://svn.apache.org/viewvc?rev=1172712&view=rev
Log:
Bug 50917 - Property CookieManager.save.cookies not honored when set from test plan
Add note to component reference

Modified:
   jakarta/jmeter/trunk/xdocs/changes.xml
   jakarta/jmeter/trunk/xdocs/usermanual/component_reference.xml